// priority: 0

ServerEvents.recipes(event => {

	event.replaceInput({ mod: 'create', input: 'minecraft:dried_kelp' }, 'minecraft:dried_kelp', 'thermal:cured_rubber')
	event.replaceInput({ mod: 'create', input: 'minecraft:kelp' }, 'minecraft:kelp', 'thermal:rubber')
	event.replaceInput({ id: 'create:crafting/appliances/copper_backtank' }, 'minecraft:copper_block', 'create:fluid_tank')
	event.replaceInput({ id: 'create:mechanical_crafting/extendo_grip' }, '#forge:rods/wooden', 'immersiveengineering:stick_treated')
	event.replaceInput({ id: 'createaddition:crafting/electrum_amulet' }, 'minecraft:emerald', 'endrem:rogue_eye')

	event.remove({ output: 'createaddition:modular_accumulator' })
	event.shaped('createaddition:modular_accumulator', [
		'bsb',
		'crc',
		'bsb'
	], {
		b: 'create:brass_ingot',
		c: 'createaddition:capacitor',
		s: 'thermal:signalum_plate',
		r: 'immersiveengineering:redstone_acid_bucket'
	})

	event.remove({ output: 'createaddition:tesla_coil' })
	event.custom({
		"type": "create:mechanical_crafting",
		"pattern": [
			"SSS",
			" A ",
			"CTC",
			"PEP"
		],
		"key": {
			"A": {
				"item": "create:andesite_alloy"
			},
			"C": {
				"item": "createaddition:capacitor"
			},
			"P": {
				"tag": "forge:plates/brass"
			},
			"T": {
				"item": "immersiveengineering:tesla_coil"
			},
			"S": {
				"item": "createaddition:copper_spool"
			},
			"E": {
				"item": "create:electron_tube"
			}
		},
		"result": {
			"item": "createaddition:tesla_coil"
		}
	})
	event.remove({ output: 'immersiveengineering:tesla_coil' })
	event.custom({
		"type": "create:mechanical_crafting",
		"pattern": [
			"PPP",
			" M ",
			"CAC",
			"IHI"
		],
		"key": {
			"A": {
				"item": "immersiveengineering:component_electronic_adv"
			},
			"C": {
				"item": "createaddition:capacitor"
			},
			"P": {
				"tag": "forge:plates/aluminum"
			},
			"M": {
				"item": "immersiveengineering:coil_mv"
			},
			"H": {
				"item": "immersiveengineering:capacitor_hv"
			},
			"I": {
				"item": "immersiveengineering:component_iron"
			}
		},
		"result": {
			"item": "immersiveengineering:tesla_coil"
		}
	})
	event.remove({ id: 'thermal:machine_crafter' })
	event.custom({
		"type": "create:mechanical_crafting",
		"pattern": [
			"AhA",
			"dMd",
			"AcA"
		],
		"key": {
			"A": {
				"item": "immersiveengineering:component_electronic_adv"
			},
			"d": {
				"item": "create:deployer"
			},
			"M": {
				"item": "thermal:machine_frame"
			},
			"c": {
				"item": "thermal:rf_coil"
			},
			"h": {
				"item": "botania:auto_crafting_halo"
			}
		},
		"result": {
			"item": "thermal:machine_crafter"
		}
	})

	event.remove({ output: 'create:brass_hand' })
	event.shaped('create:brass_hand', [
		' A ',
		'BBB',
		' B '
	], {
		A: 'create:andesite_alloy',
		B: '#botania:livingwood_logs'
	})

	event.remove({ output: 'create:propeller' })
	event.shaped('create:propeller', [
		' A ',
		'ABA',
		' A '
	], {
		A: '#minecraft:planks',
		B: '#forge:rods/wooden'
	})

	event.recipes.create.mixing('2x minecraft:coarse_dirt',
		['minecraft:dirt', 'minecraft:gravel'])
	event.recipes.create.mixing('supplementaries:antique_ink', [Fluid.of('create_enchantment_industry:ink', 250), 'minecraft:glass_bottle', 'enderio:confusing_powder'])

	event.remove({ output: 'create:copper_casing' })
	event.custom({
		"type": "create:item_application",
		"ingredients": [
			{ "tag": "minecraft:planks" },
			{ "item": "minecraft:copper_ingot" }],
		"results": [
			{ "item": "create:copper_casing" }]
	})
	event.custom({
		"type": "create:item_application",
		"ingredients": [
			{ "item": "botania:tiny_planet_block" },
			{ "item": "endrem:lost_eye" }],
		"results": [
			{ "item": "supplementaries:globe_sepia" }]
	})

	let create = (block, item, result) => {
		event.remove({ output: result })
		event.custom({
			"type": "create:item_application",
			"ingredients": [
				{ "item": block },
				{ "item": item }],
			"results": [
				{ "item": result }]
		})
	}

	//Misc
	create("create:fluid_pipe", "create:golden_sheet", "create:smart_fluid_pipe")
	create("immersiveengineering:fiberboard", "create:brass_ingot", "create:brass_casing")
	create("create:chute", "create:golden_sheet", "create:smart_chute")
	create("create:railway_casing", "actuallyadditions:diamatine_crystal", "mekanism:dimensional_stabilizer")
	create("minecraft:barrel", "create:sturdy_sheet", "create:item_vault") //Because I did this by accident way too many times
	create("supplementaries:cage", "immersiveengineering:ingot_steel", "create:empty_blaze_burner")
	create("supplementaries:timber_frame", "kubejs:wallpaper", "kubejs:wallpaper_fake")
	create("supplementaries:timber_frame", "kubejs:cut_carpet", "kubejs:carpet_fake")
	create("minecraft:grass_block", "botania:overgrowth_seed", "botania:enchanted_soil")
	create("create:experience_block", "ae2:quantum_entangled_singularity", "kubejs:hyper_experience_block")

	//Andesite Casings
	create("create:andesite_casing", "minecraft:compass", "create:speedometer")
	event.shapeless('create:speedometer', ['create:stressometer'])

	create("create:andesite_casing", "minecraft:sticky_piston", "create:sticky_mechanical_piston")
	event.shapeless('create:sticky_mechanical_piston', ['create:mechanical_piston', '#forge:slimeballs'])

	create("create:andesite_casing", "thermal:saw_blade", "create:mechanical_saw")
	create("create:andesite_casing", "create:chute", "create:portable_storage_interface")
	create("create:andesite_casing", "create:propeller", "create:encased_fan")
	create("create:andesite_casing", "create:whisk", "create:mechanical_mixer")
	create("create:andesite_casing", "create:andesite_alloy_block", "create:mechanical_press")
	create("create:andesite_casing", "thermal:drill_head", "create:mechanical_drill")
	create("create:andesite_casing", "minecraft:chain", "create:encased_chain_drive")
	create("create:andesite_casing", "create:brass_hand", "create:deployer")
	create("create:andesite_casing", "create:crushing_wheel", "create:mechanical_roller")
	create("create:andesite_casing", "farmersdelight:rope", "create:rope_pulley")
	create("create:andesite_casing", "minecraft:piston", "create:mechanical_piston")
	create("create:andesite_casing", "minecraft:cobblestone_slab", "create:depot")
	create("create:andesite_casing", "create:cogwheel", "create:millstone")
	create("immersiveengineering:light_engineering", "thermal:drill_head", "thermal:device_rock_gen")
	create("create:andesite_casing", "minecraft:stone_button", "create:contraption_controls")
	create("create:andesite_casing", "create:cardboard_block", "create:packager")
	create("create:andesite_casing", "create:turntable", "create:mechanical_bearing")
	create("create:andesite_casing", "create:shaft", "createaddition:rolling_mill")
	create("create:andesite_casing", "create:item_vault", "create:package_frogport")

	//Copper Casing
	create("create:copper_casing", "create:copper_sheet", "create:fluid_tank")
	create("create:copper_casing", "thermal:cured_rubber", "create:spout")
	create("create:copper_casing", "create:chute", "create:portable_fluid_interface")
	create("create:copper_casing", "thermal:cured_rubber_block", "create:hose_pulley")
	create("create:copper_casing", "minecraft:iron_bars", "create:item_drain")
	create("create:copper_casing", "create:sand_paper", "create_enchantment_industry:disenchanter")

	//Brass Casing
	create("create:brass_casing", "create:chute", "createaddition:portable_energy_interface")
	create("create:brass_casing", "minecraft:observer", "create:content_observer")
	create("create:brass_casing", "botania:crafty_crate", "create:mechanical_crafter")
	create("create:brass_casing", "create:gearshift", "create:sequenced_gearshift")
	create("create:brass_casing", "create:precision_mechanism", "create:rotation_speed_controller")
	create("create:brass_casing", "create:brass_hand", "create:mechanical_arm")
	create("create:brass_casing", "create:belt_connector", "create:elevator_pulley")
	create("create:brass_casing", "minecraft:lever", "create:stockpile_switch")
	create("create:brass_casing", "create:mechanical_bearing", "create:clockwork_bearing")

	//Railway Casing
	create("create:railway_casing", "minecraft:observer", "create:track_observer")
	create("create:railway_casing", "create:electron_tube", "create:track_signal")
	create("create:railway_casing", "minecraft:compass", "create:track_station")
	create("create:railway_casing", "create:contraption_controls", "create:controls")

	//Infesting
	create("minecraft:stone", "miners_delight:silverfish_eggs", "minecraft:infested_stone")
	create("minecraft:cobblestone", "miners_delight:silverfish_eggs", "minecraft:infested_cobblestone")
	create("minecraft:stone_bricks", "miners_delight:silverfish_eggs", "minecraft:infested_stone_bricks")
	create("minecraft:mossy_stone_bricks", "miners_delight:silverfish_eggs", "minecraft:infested_mossy_stone_bricks")
	create("minecraft:cracked_stone_bricks", "miners_delight:silverfish_eggs", "minecraft:infested_cracked_stone_bricks")
	create("minecraft:chiseled_stone_bricks", "miners_delight:silverfish_eggs", "minecraft:infested_chiseled_stone_bricks")
	create("minecraft:deepslate", "miners_delight:silverfish_eggs", "minecraft:infested_deepslate")

	//sculk Clump
	event.custom({
		"type": "create:compacting",
		"ingredients": [
			{ "item": "kubejs:sculk_shroom" },
			{ "item": "kubejs:sculk_shroom" },
			{ "item": "kubejs:sculk_shroom" },
			{ "item": "kubejs:sculk_shroom" },
			{ "item": "kubejs:sculk_shroom" },
			{ "item": "kubejs:sculk_shroom" },
			{ "item": "kubejs:sculk_tendrils" },
			{ "item": "kubejs:sculk_tendrils" },
			{ "item": "kubejs:sculk_tendrils" },
			{ "item": "kubejs:sculk_tendrils" },
			{ "item": "kubejs:sculk_tendrils" },
			{ "item": "kubejs:sculk_tendrils" },
			{ "item": "kubejs:sculk_tendrils" },
			{ "item": "kubejs:sculk_tendrils" },
			{ "item": "kubejs:sculk_tendrils" },
			{ "item": "kubejs:sculk_tendrils" },
			{
				"amount": 1000,
				"fluid": "thermal:crude_oil"
			}
		],
		"results": [
			{
				"item": "kubejs:sculk_clump"
			}
		]
	})

})